Bug 29199 - anaconda creates a crash and a dumpfile
anaconda creates a crash and a dumpfile
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-24 12:21 EST by Thomas von Steiger
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-26 13:10:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas von Steiger 2001-02-24 12:21:59 EST
Hello,

I want install over nfs and has then this dump from anaconda.
I use RedHat 7.0 CD2. My Client is a pc104/RealTek/IBM-HD and connect to 
NFS Server works fin. After format /dev/hda1 i have a anaconda crash and a 
message to send this bug.

I try a other way to install rh7..

regards,
Thomas von Steiger

Filename:anacdump.txt
--
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 32, in __call__
    todo.getHeaderList()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in 
getHeaderList
    self.hdList = self.method.readHeaders()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 22, in 
readHeaders
    return HeaderListFromFile(self.tree + "/RedHat/base/hdlist")
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 136, in 
__init__
    hdlist = rpm.readHeaderListFromFile(path)
rpm.error: (2, 'Datei oder Verzeichnis nicht gefunden')

Local variables in innermost frame:
compatPackages: None
self: <comps.HeaderListFromFile instance at 81bcbd0>
path: /mnt/source/./RedHat/base/hdlist

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
NsS'expert'
p10
I1
sS'ddruidReadOnly'
p11
I0
sS'bootdisk'
p12
I0
sS'language'
p13
(itodo
Language
(dp14
S'abbrevMap'
p15
(dp16
S'es_ES'
p17
S'Spanish'
p18
sS'tr_TR'
p19
S'Turkish'
p20
sS'sr_YU'
p21
S'Serbian'
p22
sS'de_DE'
p23
S'German'
p24
sS'sk_SK'
p25
S'Slovak'
p26
sS'ru_RU.KOI8-R'
p27
S'Russian'
p28
sS'is_IS'
p29
S'Icelandic'
p30
sS'no_NO'
p31
S'Norwegian'
p32
sS'sv_SE'
p33
S'Swedish'
p34
sS'en_US'
p35
S'English'
p36
sS'it_IT'
p37
S'Italian'
p38
sS'da_DK'
p39
S'Danish'
p40
sS'cs_CZ'
p41
S'Czech'
p42
sS'uk_UA.KOI8-U'
p43
S'Ukrainian'
p44
sS'hu_HU'
p45
S'Hungarian'
p46
sS'fr_FR'
p47
S'French'
p48
sS'sl_SI'
p49
S'Slovenian'
p50
sS'ro_RO'
p51
S'Romanian'
p52
ssS'font'
p53
(dp54
g38
S'lat0-sun16'
sg22
S'cyr-sun16'
sg28
S'cyr-sun16'
sg36
S'None'
sg26
S'lat2-sun16'
sg32
S'lat0-sun16'
sg34
S'lat0-sun16'
sg48
S'None'
sg50
S'lat2-sun16'
sg52
S'lat2-sun16'
sg24
S'None'
sg20
S'lat5-sun16'
sg46
S'lat2-sun16'
sg18
S'None'
sg44
S'cyr-sun16'
sg42
S'lat2-sun16'
sg40
S'lat0-sun16'
sg30
S'lat0-sun16'
ssS'langs'
p55
(dp56
g38
g37
sg22
g21
sg28
g27
sg36
g35
sg26
g25
sg32
g31
sg34
g33
sg48
g47
sg50
g49
sg52
g51
sg24
g23
sg20
g19
sg46
g45
sg18
g17
sg44
g43
sg42
g41
sg40
g39
sg30
g29
ssS'info'
p57
(dp58
S'LANG'
p59
g23
ssS'map'
p60
(dp61
g38
S'iso15'
sg22
S'iso05'
sg28
S'koi8-r'
sg36
S'None'
sg26
S'iso02'
sg32
S'iso15'
sg34
S'iso15'
sg48
S'None'
sg50
S'iso02'
sg52
S'iso02'
sg24
S'None'
sg20
S'iso09'
sg46
S'iso02'
sg18
S'None'
sg44
S'koi8-u'
sg42
S'iso02'
sg40
S'iso15'
sg30
S'iso15'
ssS'lang'
p62
g23
sbsS'fstab'
p63
NsS'lilo'
p64
(ililo
LiloConfiguration
(dp65
S'liloDevice'
p66
S'mbr'
p67
sS'initrdsMade'
p68
(dsS'edd'
p69
I0
sS'default'
p70
S'linux'
p71
sS'liloImages'
p72
(dp73
S'hda1'
p74
(g71
I2
tsS'hdc1'
p75
(S'dos'
p76
I1
tssS'liloLinear'
p77
I0
sS'liloAppend'
p78
NsbsS'comps'
p79
NsS'network'
p80
(itodo
Network
(dp81
S'netdevices'
p82
(dp83
S'eth0'
p84
(itodo
NetworkDevice
(dp85
g57
(dp86
S'ONBOOT'
p87
S'yes'
sS'IPADDR'
p88
S'192.168.2.10'
sS'BOOTPROTO'
p89
S'static'
sS'NETMASK'
p90
S'255.255.255.0'
sS'DEVICE'
p91
g84
ssbssS'gateway'
p92
S'192.168.2.254'
sS'secondaryNS'
p93
S''
sS'hostname'
p94
S'mini'
sS'primaryNS'
p95
S''
sS'domains'
p96
(lsS'isConfigured'
p97
I1
sS'readData'
p98
I1
sS'ternaryNS'
p99
S''
sbsS'upgrade'
p100
I0
sS'instClass'
p101
(icustom
InstallClass
(dp102
S'rootPasswordCrypted'
p103
I0
sS'nameserver'
p104
S''
sS'x'
NsS'rootPassword'
p105
NsS'makeBootdisk'
p106
I0
sS'installType'
p107
NsS'postScript'
p108
NsS'earlySwapOn'
p109
I0
sS'networkDevice'
p110
NsS'clearText'
p111
Nsg64
(g67
I1
S''
tsg13
NsS'name'
p112
S''
sS'postInChroot'
p113
I0
sS'pixmap'
p114
S''
sS'partitions'
p115
(lsS'clearType'
p116
Nsg92
S''
sS'mouse'
p117
NsS'packages'
p118
NsS'timezone'
p119
NsS'zeroMbr'
p120
I0
sS'keyboard'
p121
NsS'groups'
p122
NsS'bootProto'
p123
NsS'netmask'
p124
S''
sS'raidList'
p125
(lsS'skipSteps'
p126
(dsS'auth'
p127
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg94
Nsg63
(lsS'showgroups'
p128
NsS'ip'
p129
S''
sS'defaultRunlevel'
p130
NsS'desktop'
p131
S''
sS'clearPartText'
p132
NsS'clearParts'
p133
I0
sbsS'rootpassword'
p134
NsS'extraModules'
p135
(lp136
sg117
(imouse
Mouse
p137
(dp138
S'device'
p139
S'ttyS0'
p140
sg57
(dp141
S'XMOUSETYPE'
p142
S'MouseMan'
p143
sS'FULLNAME'
p144
S'Logitech - MouseMan/FirstMouse (serial)'
p145
sS'MOUSETYPE'
p146
g143
ssS'emu'
p147
I0
sS'wasProbed'
p148
I0
sS'emulate'
p149
I0
sbsS'ddruidAlreadySaved'
p150
I0
sS'serial'
p151
I0
sg119
(S'Europe/Zurich'
I0
I0
tsg120
I0
sg121
(ikbd
Keyboard
(dp152
S'layout'
p153
NsS'model'
p154
NsS'type'
p155
S'PC'
p156
sg57
(dp157
S'KEYBOARDTYPE'
p158
S'pc'
p159
sS'KEYTABLE'
p160
S'de-latin1'
p161
ssbsS'skipFdisk'
p162
I1
sS'fdDevice'
p163
S'fd0'
p164
sS'installSystem'
p165
I1
sS'setupFilesystems'
p166
I1
sg127
(itodo
Authentication
(dp167
S'useNIS'
p168
I0
sS'nisServer'
p169
S''
sS'useLdap'
p170
I0
sS'krb5Kdc'
p171
S''
sS'useHesiod'
p172
I0
sS'ldapServer'
p173
S''
sS'nisDomain'
p174
S''
sS'krb5Realm'
p175
S''
sS'useLdapauth'
p176
I0
sS'hesiodRhs'
p177
S''
sS'useShadow'
p178
I1
sS'nisuseBroadcast'
p179
I0
sS'useKrb5'
p180
I0
sS'useMD5'
p181
I1
sS'ldapBasedn'
p182
S''
sS'krb5Admin'
p183
S''
sS'hesiodLhs'
p184
S''
sS'hesiodDlhs'
p185
S''
sbsg94
NsS'reconfigOnly'
p186
I0
sS'x'
(ixf86config
XF86Config
(dp187
S'monlist'
p188
(dsS'keyModel'
p189
S'pc102'
p190
sS'monids'
p191
(dsg139
NsS'monEisa'
p192
NsS'server'
p193
NsS'monHoriz'
p194
S'31.5'
p195
sS'devID'
p196
NsS'modes'
p197
(dp198
S'8'
(lp199
S'640x480'
p200
assS'keyOptions'
p201
S''
sS'keyVariant'
p202
S''
sS'monID'
p203
S'Unprobed Monitor'
p204
sS'keyLayout'
p205
S'de'
p206
sS'manualModes'
p207
(dsg117
g137
sS'keyRules'
p208
S'xfree86'
p209
sS'monVert'
p210
S'60'
p211
sS'cardMan'
p212
NsS'monSect'
p213
S''
sS'primary'
p214
I0
sS'vidRam'
p215
NsS'probed'
p216
I0
sS'monName'
p217
NsS'vidCards'
p218
(lsS'skip'
p219
I0
sS'files'
p220
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p221
sbsS'users'
p222
NsS'instPath'
p223
S'/mnt/sysimage'
p224
sS'intf'
p225
NsS'hdList'
p226
Nsb.
Comment 1 Michael Fulbright 2001-02-25 11:22:03 EST
Did you copy both CD's into the same directory on the NFS server?
Comment 2 Thomas von Steiger 2001-02-26 12:55:18 EST
No, i have only a share /mnt/cdrom and there is only 1 cd in access.
Comment 3 Thomas von Steiger 2001-02-26 13:10:36 EST
Bug 20367 has the same core.
Comment 4 Michael Fulbright 2001-02-27 18:29:57 EST
As per the documentation, you must copy both CDs into a single directory and
export that via NFS.
Comment 5 Thomas von Steiger 2001-03-02 15:27:52 EST
I don't found Information to install over nfs. My, search was in the wrong cd. 
Thank you, now i can work forward with my hobby.
If i wont make a linuxbox for my car, has redhat other installation cd, to 
bulid a small embedded system ?
I have now a linuxsystem with kernel 2.2.14, becose i like to build this system 
with new lib's.

regards,
thomas


Note You need to log in before you can comment on or make changes to this bug.